Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config
Class LoggerConfig.RootLogger

    java.lang.Object
      org.apache.logging.log4j.core.AbstractLifeCycle
          org.apache.logging.log4j.core.filter.AbstractFilterable
              org.apache.logging.log4j.core.config.LoggerConfig
                  org.apache.logging.log4j.core.config.LoggerConfig.RootLogger

All Implemented Interfaces:
  Serializable, Filterable, LifeCycle

Enclosing class:
  LoggerConfig

    @Plugin(name="root",
            category="Core",
            printObject=true)
    public static class LoggerConfig.RootLogger

extends LoggerConfig

The root Logger.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.logging.log4j.core.config.LoggerConfig
`LoggerConfig.RootLogger`

Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.LifeCycle
`LifeCycle.State`

Field Summary

Fields inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`LOGGER`

Constructor Summary
`LoggerConfig.RootLogger()`

Method Summary
`static LoggerConfig` | `createLogger(String additivity, org.apache.logging.log4j.Level level, String includeLocation, AppenderRef[] refs, Property[] properties, Configuration config, Filter filter)`

Methods inherited from class org.apache.logging.log4j.core.config.LoggerConfig
`addAppender, callAppenders, clearAppenders, createLogger, getAppenderRefs, getAppenders, getFilter, getLevel, getLogEventFactory, getName, getParent, getProperties, includeLocation, isAdditive, isIncludeLocation, log, log, removeAppender, setAdditive, setLevel, setLogEventFactory, setParent, toString`

Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilterable
`addFilter, hasFilter, isFiltered, removeFilter, start, stop`

Methods inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`equalsImpl, getState, hashCodeImpl, isInitialized, isStarted, isStarting, isStopped, isStopping, setStarted, setStarting, setState, setStopped, setStopping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.logging.log4j.core.LifeCycle
`getState, isStarted, isStopped`

Constructor Detail

### LoggerConfig.RootLogger

    public LoggerConfig.RootLogger()

Method Detail

### createLogger

    @PluginFactory
    public static LoggerConfig createLogger(@PluginAttribute(value="additivity")
                                                          String additivity,
                                                          @PluginAttribute(value="level")
                                                          org.apache.logging.log4j.Level level,
                                                          @PluginAttribute(value="includeLocation")
                                                          String includeLocation,
                                                          @PluginElement(value="AppenderRef")
                                                          AppenderRef[] refs,
                                                          @PluginElement(value="Properties")
                                                          Property[] properties,
                                                          @PluginConfiguration
                                                          Configuration config,
                                                          @PluginElement(value="Filter")
                                                          Filter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.